%define major 1
%define libname %mklibname lxqt-globalkeys %{major}
%define devname %mklibname -d lxqt-globalkeys


Name: lxqt-globalkeys
Version: 1.4.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Global keys config module for LXQt
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#--------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}lxqt-devel >= %version
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: %{_lib}qt5help-devel
Obsoletes:	lxqt-l10n


%description
Global keys config module for LXQt

%package -n %{libname}
Summary: The LXQt globalkeys library
Group: System/Libraries
Obsoletes: %{_lib}lxqt-globalkeys0
Provides: %{_lib}lxqt-globalkeys = %version-%release

%description -n %{libname}
The LXQt globalkeys library


%package -n %{devname}
Summary: Development files for the LXQt globalkeys library
Group: Development/Libraries
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %{devname}
Development files for the LXQt globalkeys library


%prep
%setup -q %{name}-%{version}
%cmake_qt5 

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build


%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/lxqt-globalkeyshortcuts.desktop
%{_datadir}/lxqt/globalkeyshortcuts.conf
%{_datadir}/lxqt/translations/lxqt-config-globalkeyshortcuts/lxqt-config-globalkeyshortcuts_*.qm

%files -n %{libname}
%{_libdir}/liblxqt-globalkeys.so.%{major}*
%{_libdir}/liblxqt-globalkeys-ui.so.%{major}*

%files -n %{devname}
%{_libdir}/liblxqt-globalkeys.so
%{_includedir}/lxqt-globalkeys
%{_libdir}/pkgconfig/lxqt-globalkeys.pc
%{_datadir}/cmake/lxqt-globalkeys
%{_libdir}/liblxqt-globalkeys-ui.so
%{_includedir}/lxqt-globalkeys-ui
%{_libdir}/pkgconfig/lxqt-globalkeys-ui.pc
%{_datadir}/cmake/lxqt-globalkeys-ui


%changelog
* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Wed Feb 15 2023 tex - 1.2.0-2pclos2023
- rebuild against updates

* Sun Nov 06 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Jan 07 2022 daniel - 1.0.1-1pclos2022
- 1.0.1

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sat Sep 12 2020 tex - 0.15.0-3pclos2020
- rebuild against updates

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Wed Nov 20 2019 daniel <meisssw01 at gmail.com> 0.14.3-1pclos2019
- update

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.13.0-1pclos2018
- update

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.12.0-1pclos2017
- update

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.11.1-1pclos2017
- update

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.11.0-1pclos2016
- 0.11.0

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-2pclos2016
- rebuild for 32bit

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
